#$Id: Makefile,v 1.0 1/12/1998 15:23:22 iReady-MWJ Exp $

TARGET=dsamp.exe

#GCC_WARNINGS = -O2 -pedantic -Wreturn-type -Wunused -Wformat \
# -Wpointer-arith -Wconversion -Waggregate-return \
# -Wimplicit -Wshadow #-Wuninitialized

CC		= cl
CFLAGS  = /c /AL /Od /Zi
LDFLAGS =

LINK	= link
LINKFLAGS= /CODEVIEW

LIBS    = 

O=obj



OBJS=dsamp.$(O) downsamp.$(O) 
DEPEND=wave.h

all: $(TARGET)
    

dsamp.obj: dsamp.c $(DEPEND)
	$(CC) $(CFLAGS) dsamp.c

downsamp.obj: downsamp.c $(DEPEND)
	$(CC) $(CFLAGS) downsamp.c
		

$(TARGET) : dsamp.obj downsamp.obj
        $(LINK) $(LINKFLAGS) dsamp.obj downsamp.obj,,,,,

clean:
        del *.obj
